Duplicity do not support "ftpes://"

Bug #1072130 reported by Chaser-andrey on 2012-10-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Duplicity
Medium
Unassigned

Bug Description

It would be nice to have support for FTPES backend.
The differences between FTPS and FTPES described here http://www.squidoo.com/web-hosting-the-difference-between-ftp-ftps-and-ftpes

I have a lot of ftp servers based on VSFTPD and configured to use TLS, not SSL2 or SSL3. That's why I can't use ftps.

Ralph B. (ralle-ubuntu) wrote :

I have added ftpes:// to my lftp backend. See my commit here: https://github.com/ralle12345/duplicity/commit/8a76973744ff4d2b3ac1d737921ebec044a35db5

Changed in duplicity:
assignee: nobody → Kenneth Loafman (kenneth-loafman)
importance: Undecided → Medium
milestone: none → 0.7.07
status: New → In Progress
Marcel Pennewiß (mape2k) wrote :

Patch attached adds "ftpes" as protocol for explicit ftps for duplicity-0.6.26.

All patches applied successfully.

Changed in duplicity:
assignee: Kenneth Loafman (kenneth-loafman) → nobody
status: In Progress → Fix Committed
Marcel Pennewiß (mape2k) wrote :

Did you also apply patch from ralle-ubuntu for the 0.7-series? I did not see any commit concerning this bug.

Changed in duplicity:
status: Fix Committed → Fix Released
Marcel Pennewiß (mape2k) wrote :

Could you also reset status to Fix commited. Sorry, it was my fault :(

Yes, both 6 & 7 patches applied.

Changed in duplicity:
status: Fix Released → Fix Committed
Marcel Pennewiß (mape2k) wrote :

Hmmm, imho the applied patch for 0.7-series should be visible in
http://bazaar.launchpad.net/~duplicity-team/duplicity/0.7-series/view/head:/duplicity/backends/lftpbackend.py ?

But i did not find anything regarding ftpes.

Should be there now.

Changed in duplicity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers